#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

typedef struct ComponentGoodies
{
	ECSComponent component;
	u32 value;
} ComponentGoodies;

void component_goodies_tick(ComponentGoodies* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_GOODIES_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_goodies_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_GOODIES,
	.size = sizeof(ComponentGoodies)
};
